Subject: bug#10056: 24.0.91; Mark deactivation

From: Dani Moncayo <[email-masked]>
Date: Fri, 25 Jan 2013 20:07:42 +0100

On Fri, Jan 25, 2013 at 6:41 PM, Drew Adams <[email-masked]> wrote:
>> I've just noticed a new case where the mark is not deactivated, when
>> it clearly should (IMO): after `eval-region'.
>
> Why should it?
>
> Even when used interactively (and certainly when not!),

I'm concerned about _interactive_ usability.  Sorry if I didn't make
that clear before.

> a user can want to do
> something else with the active region after evaluating it.
>
> Yes, s?he can always hit `C-x C-x C-x C-x' to reactivate it (there is probably a
> shorter way to do it nowadays, but I still have that habit).  But the question
> is why?  What's the reason to deactivate the region after `eval-region'?
>
> To be clear, I have no particular objection that I can think of offhand.  But I
> don't see why the behavior should be changed.  "If it ain't broke don't fix it."
> IOW, please argue a bit in favor of the change for this specific command - some
> reasons, please.

Well, the reason is the same for all commands I've mentioned: In my
experience (or my usage pattern), after defining an active region and
invoking a command to operate on it, it's much more likely that the
next commands have nothing to do with that active region.  IOW, I
almost always set up an active region to do a single operation on it,
not several ones.  So keeping the region active is, at best, counter
intuitive and visually annoying to me.

> Wrt your footnote [2]: Why should we deactivate the region for _any_ command
> when it is called non-interactively?  That doesn't make sense to me (yet - but
> I'm willing to learn why).

That footnote is about `narrow-to-region', not about "any command".
But, well, I'm thinking that perhaps the mark deactivation I'm
requesting should be specific to interactive calls.  After all, what I
want to avoid is just the annoyance of having to type `C-g' to
deactivate the mark after realizing that Emacs didn't do it for me.

-- 
Dani Moncayo